공개 APIAPI 레퍼런스Apps
App의 compute 기본 설정을 교체합니다.
베타 API
/v1 API 계약은 변경될 수 있으며, 호환되지 않는 변경도 별칭 없이 배포될 수 있습니다.
PUT
/v1/apps/{appId}/compute-settings팀 owner 또는 member가 이후 빌드에 적용되는 기본 설정을 교체합니다. nitroship.json이나 CLI 플래그의 값은 매 배포 시 콘솔 설정을 덮어쓰지만, 콘솔 설정을 저장하고 Apply now로 다음 배포 전까지 적용할 수 있습니다. null 또는 생략한 값은 설정 해제됩니다. 이메일 인증을 완료한 사용자만 사용할 수 있습니다.
인증
bearerAuth 인증Bearer <token>
로그인 또는 API 토큰 교환으로 받은 접속 토큰을 사용합니다. ntro_ API 토큰은 먼저 로그인 서버에서 접속 토큰으로 교환해야 합니다.
위치: header
경로 매개변수
appId*string
요청 본문
application/json
TypeScript 타입 정의
Use the request body type in TypeScript.
응답 본문
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/apps/string/compute-settings" \ -H "Content-Type: application/json" \ -d '{ "maxInstances": 0, "minInstances": 0, "port": 0, "regions": [ "string" ], "tier": "string" }'{ "maxInstances": 0, "minInstances": 0, "port": 0, "productionSources": { "maxInstances": "string", "minInstances": "string", "port": "string", "regions": "string", "tier": "string" }, "regions": [ "string" ], "tier": "string", "updatedAt": "2019-08-24T14:15:22Z"}